%define upstream_name    Declare-Constraints-Simple
%define upstream_version 0.03

%global __requires_exclude perl\\(Declare::Constraints::Simple-Library\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Declarative Validation of Data Structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Declare/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(aliased)

BuildArch: noarch


Requires:      perl(aliased)

%description
The main purpose of this module is to provide an easy way to build a
profile to validate a data structure. It does this by giving you a set of
declarative keywords in the importing namespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/Declare


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-11.mga8
+ Revision: 1503802
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-10.mga7
+ Revision: 1282727
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.30.0-9.mga7
+ Revision: 1164045
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.30.0-8.mga7
+ Revision: 1158642
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1025484
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 939350
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 744154
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 684296
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 510854
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 365672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 31898
- mageia rebuild
- imported package perl-Declare-Constraints-Simple


* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 505727
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.03-3mdv2010.0
+ Revision: 430407
- rebuild

* Sun Sep 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdv2009.0
+ Revision: 286344
- fix dependencies
- import perl-Declare-Constraints-Simple


* Sun Sep 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2009.0
- initial mdv release, generated with cpan2dist

